Package be.fgov.ehealth.rn.baselegaldata.v1

# Class CivilStatesWithUpdateStatusType

java.lang.Object
be.fgov.ehealth.rn.baselegaldata.v1.CivilStatesWithUpdateStatusType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:15+02:00", comments="JAXB RI v4.0.5") public class CivilStatesWithUpdateStatusType extends Object implements Serializable

Java class for CivilStatesWithUpdateStatusType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="CivilStatesWithUpdateStatusType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence minOccurs="0">
             <element name="CivilState" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}CivilStateInfoBaseType" maxOccurs="unbounded" minOccurs="0"/>
           </sequence>
           <attribute name="Status" type="{urn:be:fgov:ehealth:rn:baselegaldata:v1}UpdateDatagroupStatusType" />
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CivilStatesWithUpdateStatusType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CivilStateInfoBaseType>`
  `getCivilStates()`
  Gets the value of the civilStates property.
  `String`
  `getStatus()`
  Gets the value of the status property.
  `void`
  `setStatus(String value)`
  Sets the value of the status property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### CivilStatesWithUpdateStatusType

    public CivilStatesWithUpdateStatusType()

- ## Method Details

  - ### getCivilStates

    public List<CivilStateInfoBaseType> getCivilStates()
    Gets the value of the civilStates property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the civilStates property.

    For example, to add a new item, do as follows:

         getCivilStates().add(newItem);

    Objects of the following type(s) are allowed in the list `CivilStateInfoBaseType`

    Returns:
      The value of the civilStates property.

  - ### getStatus

    public String getStatus()
    Gets the value of the status property.
    Returns:
      possible object is `String`

  - ### setStatus

    public void setStatus(String value)
    Sets the value of the status property.
    Parameters:
      `value` - allowed object is `String`